<?php
/*
 * Plugin Hook: mail
 * Plugin Name: Jmail
 * Author: 系统自带插件
 * Version: 1.0
 * Plugin URI: about:blank
 * Description: 通过Jmail类库发送邮件,请修改plugins/Jmail/config.php文件中的相关参数。
 */
if(!defined('IN_MICECMS')){header("HTTP/1.0 404 Not Found");die();}
function Jmail($mailto,$title,$body)
{
	$dir=str_replace('\\','/', dirname(__FILE__)).'/';
	include_once $dir."config.php";
	$sendresult='本站暂不支持找回密码功能，请直接联系本站管理员';
	
	include_once $dir.'smtp.php';

	$smtpserver = $mail_smtp;//SMTP服务器
	$smtpserverport =$mail_smtp_port;//SMTP服务器端口
	$smtpusermail = $mail_username; //SMTP服务器的用户邮箱
	$smtpuser = $mail_username;//SMTP服务器的用户帐号
	$smtppass = $mail_pwd;//SMTP服务器的用户密码
	$smtpusername = $mail_name;//SMTP服务器的用户名称

	$smtp = new smtp($smtpserver,$smtpserverport,true,$smtpuser,$smtppass);//这里面的一个true是表示使用身份验证,否则不使用身份验证.
	$smtp->debug = false; //是否显示发送的调试信息
	$result=$smtp->sendmail($mailto, $smtpusermail, $smtpusername, $title, $body, "HTML");
	if($result){
		$sendresult="密码已发送到您的邮箱,请登录您的邮箱"; 
	}

	return	$sendresult;
}
?>